Page MenuHomePhabricator

[SPIKE: 4hrs] Lazy loaded images data analysis and blog post
Closed, ResolvedPublic

Description

This task is for comparing two 7 day windows of fully "off" and fully "on" lazy loaded images on the mobile web and preparing a blog post.

WHERE clauses that properly exclude the pre-existing lazy loaded scenarios, plus scope for non-redirected, anon, namespace 0 reads should be used to keep it in line with the ja.m.wikipedia.org analytical approach.

Blog guidelines: https://meta.wikimedia.org/wiki/Wikimedia_Blog/Guidelines

Things to think about/include:

  • Who is the audience?
  • Introduce
    • Ex. real life example of how people will use it/ benefit from it
    • What we did
      • Ex. what it was before
      • Ex. what it's like now
    • Why the change matters
    • Where we’re going

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2016, 10:22 PM
Jdlrobson updated the task description. (Show Details)

I'm a bit burned out from analysis today but I've mostly done the performance analysis of English, Indonesian and Italian:
https://docs.google.com/spreadsheets/d/1M9-0YYMx__v5MFnGmRbShOCXw2Z-qWNTWI2-hF8ZUyE/edit?usp=sharing

I've started documenting here:
https://www.mediawiki.org/wiki/Reading/Web/Lazy_loading_of_images_on_all_wikis

Having trouble still pulling data out of Hive to show data savings which is the crucial bit for the blog post.

I'm going to leave the Hive queries running over night. Seems to be working. I have data from 7th to 15th on Indonesian Wiki so far.

Here's the Hive queries, data, and bash scripts for bytes on all mdot Wikipedias on a 1/10,000 sampled basis.

I've asked comms to poke at my first draft to get a non-technical perspective. Once I have that I'll open it up for thoughts from a technical perspective.

I've shared it with all of you. Your comments are much needed! I'd like to wrap this up by the end of the week.

phuedx added a subscriber: phuedx.Sep 8 2016, 11:19 AM

The bloggy blog looks good to me, mostly. I've left a handful of minor suggestions.

This is with the comms team and scheduled for Monday. Feel free to take a look at the document I shared - I'd appreciate scrutiny in particular around the data used in the report.

phuedx reassigned this task from Jdlrobson to ovasileva.Sep 16 2016, 9:02 AM
phuedx added a subscriber: Jdlrobson.
ovasileva closed this task as Resolved.Sep 19 2016, 9:10 PM